Skip to content

getOpportunityDocuments

READ

Get opportunity documents.

POST /api/v1/sales/getOpportunityDocuments
curl -X POST '<your-host>/api/v1/sales/getOpportunityDocuments' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "opportunityId": "string"
  }'
Response
{
  "results": [
    {
      "bucket": "string",
      "name": "string",
      "bucket_id": "string",
      "owner": "string",
      "id": "string",
      "updated_at": "string",
      "created_at": "string",
      "last_accessed_at": "string",
      "metadata": {
        "…": "…"
      },
      "buckets": {
        "id": "string",
        "type": "STANDARD",
        "name": "string",
        "owner": "string",
        "file_size_limit": 0,
        "allowed_mime_types": [
          "string"
        ],
        "created_at": "string",
        "updated_at": "string",
        "public": true
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "opportunityId": {
      "type": "string"
    }
  },
  "required": [
    "opportunityId"
  ]
}